/*

   fl0p - configuration
   --------------------

   The defaults are rather sane. Be careful.

   Copyright (C) 2006 by Michal Zalewski <lcamtuf@coredump.cx>

*/

#ifndef _HAVE_CONFIG_H
#define _HAVE_CONFIG_H

#define VER		"0.0.2-beta"

/* Path to and name of the config file: */

#ifdef WIN32
#  define CONFIG_DIR	"."
#else
#  define CONFIG_DIR	"/etc/fl0p"
#endif /* WIN32 */

#define FPRINT_DB	"fl0p.fp"

/* Maximum number of segments in a signature (must be less than 255): */

#define MAXSIGLEN        25

/* Maximum number of signatures in the config file: */

#define MAXSIGS         200

/* Maximum inactivity period for a stream (seconds): */

#define SESS_TIMEOUT    (5*60)

/* Connection lookup tables are static in this release for
   simplicity, and consist of FLOW_BUCKETS slots that keep
   up to BUCKET_SIZE sessions. Increasing FLOW_BUCKETS might
   improve performance; increasing BUCKET_SIZE may help if
   you get too many dropped streams. */

#define FLOW_BUCKETS     32
#define BUCKET_SIZE      32

/* Maximum signature file line length: */

#define MAXLINE         1024

/* Maximum DNS name length to report: */

#define MY_MAXDNS	32

/* Packet snap length. This is passed to libpcap. */

#define PACKET_SNAPLEN	65000

/* Go figure. */

#define PID_PATH	"/var/run/p0f.pid"

#endif /* ! _HAVE_CONFIG_H */
